{ pkgs, lib, config, ... }:

{
  home.packages = with pkgs; [
    mako
  ];

  services.mako = {
    enable = true;
    font = "monospace 14";
    sort = "-time";
    width = 350;
    height = 200;
    output = "DP-4";
    # backgroundColor = "#00000080";
    margin = "20";
    # outerMargin = "10";
    markup = true;
    borderSize = 2;
    # borderColor = "#ffffff";
    borderRadius = 15;
    icons = true;
    layer = "top";
    maxIconSize = 64;
    defaultTimeout = 5000;
    ignoreTimeout = false;
    padding = "20";
    anchor = "top-center";
    format = "<b>%s</b>\\n%b";
    actions = true;
    # textAlignment = "center";
    extraConfig = ''
      [urgency=low]
      border-color=#cccccc

      [urgency=normal]
      border-color=#d08770

      [urgency=high]
      border-color=#bf616a
      default-timeout=0

      [category=mpd]
      default-timeout=2000
      group-by=category
    '';
  };
}